---
updatedAt: 2026-10-05T11:23:49.000Z
agentTools:
  projectIndex: https://developers.pinpointhq.com/llms.txt
---

# List Applications

### Job Visibility filter

> 📘 Confidential jobs
>
> This endpoint **doesn't return applications belonging to confidential jobs by default**.

If you want to include applications belonging to confidential jobs add `confidential` to `job_visibility` filter (`filter[job_visibility]`) alongside other visibility options.

Example: Use`filter[job_visibility]=confidential,external,internal,private_job`to get applications from jobs with any visibility.

### Candidate Phone filter

Use `filter[candidate_phone]` to filter applications by the candidate's phone number.

Phone numbers should be provided in E.164 format. When passing the value in a query string, URL-encode a leading `+` as `%2B`.

Example: `filter[candidate_phone]=%2B44000000000`

### Attachments

To include application attachments (e.g. CVs) in your response, use the extra\_fields parameter:

```

[https://your-subdomain.pinpointhq.com/api/v1/applications?extra_fields[applications]=attachments](https://your-subdomain.pinpointhq.com/api/v1/applications?extra_fields\[applications]=attachments)

```

This will return applications with their attachments.

**Note:** You must scope the extra field under applications:

:white\_check\_mark: `extra_fields[applications]=attachments`

:red\_circle: `extra_fields=attachments` (wrong)

```
```

<br />

### Parsed CV data (work and education history)

<ParsedCvData resource="applications" />

# OpenAPI definition

````json
{
  "openapi": "3.0.1",
  "info": {
    "contact": {
      "email": "integrations@pinpointhq.com",
      "name": "Pinpoint Integrations"
    },
    "description": "Documentation for Pinpoint External API endpoints",
    "title": "Pinpoint External API Reference",
    "version": "v1.0.27"
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "python",
      "ruby"
    ]
  },
  "servers": [
    {
      "url": "https://{subdomain}.pinpointhq.com",
      "description": "Pinpoint Production Environment",
      "variables": {
        "subdomain": {
          "default": "your-subdomain",
          "description": "Subdomain"
        }
      }
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "responses": {
      "400": {
        "description": "Bad Request",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/jsonapi_failure"
            },
            "examples": {
              "invalid_param": {
                "description": "Malformed query params",
                "value": {
                  "errors": [
                    {
                      "code": "bad_request",
                      "status": "400",
                      "title": "Bad Request",
                      "detail": "Malformed query params"
                    }
                  ]
                }
              },
              "invalid_locale": {
                "description": "Invalid locale",
                "value": {
                  "errors": [
                    {
                      "code": "bad_request",
                      "status": "400",
                      "title": "Bad Request",
                      "detail": "{locale} is not a valid locale"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/jsonapi_failure"
            },
            "examples": {
              "api_key_not_provided": {
                "description": "X-API-KEY header not provided",
                "value": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "status": "401",
                      "title": "Unauthorized",
                      "detail": "X-API-KEY header not provided"
                    }
                  ]
                }
              },
              "invalid_api_key": {
                "description": "Invalid API key",
                "value": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "status": "401",
                      "title": "Unauthorized",
                      "detail": "Invalid API key"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "403": {
        "description": "Forbidden",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/jsonapi_failure"
            },
            "examples": {
              "integration_not_enabled": {
                "description": "Integration not enabled",
                "value": {
                  "errors": [
                    {
                      "code": "forbidden",
                      "status": "403",
                      "title": "Forbidden",
                      "detail": "Integration not enabled"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "429": {
        "description": "Too Many Requests",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/jsonapi_failure"
            },
            "examples": {
              "not_found": {
                "description": "Too Many Requests",
                "value": {
                  "errors": [
                    {
                      "code": "too_many_requests",
                      "status": "429",
                      "title": "Too Many Requests",
                      "detail": "Rate limit exceeded"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "500": {
        "description": "Internal Server Error",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/jsonapi_failure"
            },
            "examples": {
              "not_found": {
                "description": "Internal Server Error",
                "value": {
                  "errors": [
                    {
                      "code": "internal_server_error",
                      "status": "500",
                      "title": "Internal Server Error",
                      "detail": "We've notified our engineers and hope to address this issue shortly."
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "applications_200_collection": {
        "description": "OK: Applications collection",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/applications_collection"
            },
            "examples": {
              "jsonapi": {
                "$ref": "#/components/examples/jsonapi_applications_collection"
              }
            }
          }
        }
      }
    },
    "schemas": {
      "answers": {
        "type": "object",
        "description": "Answer attributes",
        "properties": {
          "title": {
            "type": "string",
            "readOnly": true
          },
          "additional_information": {
            "type": "string",
            "readOnly": true
          },
          "boolean_answer": {
            "type": "boolean"
          },
          "number_answer": {
            "type": "string",
            "format": "decimal"
          },
          "document_answer": {
            "type": "object",
            "additionalProperties": true,
            "readOnly": true
          },
          "question_type": {
            "type": "string",
            "readOnly": true
          },
          "date_answer": {
            "type": "string",
            "format": "date"
          },
          "url_answer": {
            "type": "string"
          },
          "date_from_answer": {
            "type": "string",
            "format": "date"
          },
          "date_to_answer": {
            "type": "string",
            "format": "date"
          },
          "multiple_choice_answer": {
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string"
                }
              ]
            },
            "readOnly": true
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "document_base64_data": {
            "type": "string",
            "writeOnly": true
          },
          "document_base64_filename": {
            "type": "string",
            "writeOnly": true
          },
          "document_signed_id": {
            "type": "string",
            "writeOnly": true
          },
          "text_answer": {
            "type": "string"
          },
          "attachments": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "context": {
                  "type": "string"
                },
                "name": {
                  "type": "string"
                },
                "url": {
                  "type": "string"
                }
              }
            },
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "answers_relationships": {
        "type": "object",
        "properties": {
          "answer_options": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "answer_options",
                      "enum": [
                        "answer_options"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "question": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "questions",
                    "enum": [
                      "questions"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "answerable": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "applications",
                    "enum": [
                      "applications",
                      "job_seekers",
                      "candidate_surveys"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          }
        },
        "additionalProperties": false
      },
      "answers_resource": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "1"
          },
          "type": {
            "type": "string",
            "enum": [
              "answers"
            ]
          },
          "attributes": {
            "$ref": "#/components/schemas/answers"
          },
          "relationships": {
            "$ref": "#/components/schemas/answers_relationships"
          }
        },
        "additionalProperties": false
      },
      "answers_readable_attribute": {
        "description": "Answer readable attributes",
        "type": "string",
        "enum": [
          "id",
          "title",
          "additional_information",
          "boolean_answer",
          "number_answer",
          "document_answer",
          "question_type",
          "date_answer",
          "url_answer",
          "date_from_answer",
          "date_to_answer",
          "multiple_choice_answer",
          "created_at",
          "updated_at",
          "text_answer"
        ]
      },
      "applications": {
        "type": "object",
        "description": "Application attributes",
        "properties": {
          "uuid": {
            "type": "string",
            "description": "A stable UUID for this application. Safe to share with third-party integrations as a unique application identifier.",
            "readOnly": true
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "candidate_id": {
            "type": "integer",
            "readOnly": true
          },
          "external_system_reference": {
            "type": "string",
            "description": "Used to store the ID or reference from an external system that the record was created from."
          },
          "hired_at": {
            "type": "string",
            "format": "date-time"
          },
          "internal_candidate": {
            "type": "boolean",
            "readOnly": true
          },
          "job_id": {
            "type": "integer",
            "readOnly": true
          },
          "job_posting_id": {
            "type": "integer",
            "description": "The posting the candidate applied through. Blank for applications created outside a careers site posting form, such as those created through this API or by an integration.",
            "readOnly": true
          },
          "locale": {
            "type": "string"
          },
          "stage_id": {
            "type": "integer",
            "readOnly": true
          },
          "rejected_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "phone_iso2": {
            "type": "string"
          },
          "start_on": {
            "type": "string",
            "format": "date"
          },
          "equality_monitoring_option_ids": {
            "type": "array",
            "items": {},
            "writeOnly": true
          },
          "skip_notifications_on_create": {
            "type": "boolean",
            "writeOnly": true
          },
          "is_demo": {
            "type": "boolean"
          },
          "add_tag_with_context": {
            "type": "object",
            "additionalProperties": true,
            "writeOnly": true
          },
          "add_tags_with_context": {
            "type": "array",
            "items": {},
            "description": "Add multiple **tags** at once\nExample: `[{\"tag\": \"Celery\", \"context\": \"custom_green\"}, {\"tag\": \"Availability\", \"context\": \"rejection\"}]`",
            "writeOnly": true
          },
          "remove_tag_with_context": {
            "type": "object",
            "additionalProperties": true,
            "writeOnly": true
          },
          "cv_base64_data": {
            "type": "string",
            "writeOnly": true
          },
          "cv_base64_filename": {
            "type": "string",
            "writeOnly": true
          },
          "cover_letter_base64_data": {
            "type": "string",
            "description": "Base64-encoded cover letter file content, including the data URI prefix (e.g. `data:application/pdf;base64,...`).",
            "writeOnly": true
          },
          "cover_letter_base64_filename": {
            "type": "string",
            "description": "Original filename for the cover letter, e.g. `cover_letter.pdf`. Accepted file types: `pdf`, `doc`, `docx`, `txt`, `rtf`. Maximum file size: **30 MB**.",
            "writeOnly": true
          },
          "documents_base64": {
            "type": "array",
            "items": {},
            "description": "Array of documents to attach. Each item must be an object with the following fields:\n\n```\n[\n  {\n    \"data\": \"[Base64 encoded file content, including data URI prefix]\",\n    \"filename\": \"[Original filename, e.g. report.pdf]\"\n  }\n]\n```\n\nAccepted file types: `pdf`, `doc`, `docx`, `png`, `jpeg`, `xls`, `xlsx`, `pptx`, `mp4`, `mov`, `txt`.\nMaximum file size: **10 MB** per file.\n",
            "writeOnly": true
          },
          "cv_signed_id": {
            "type": "string",
            "writeOnly": true
          },
          "first_name": {
            "type": "string"
          },
          "last_name": {
            "type": "string"
          },
          "preferred_name": {
            "type": "string"
          },
          "email": {
            "type": "string"
          },
          "phone": {
            "type": "string"
          },
          "date_of_birth": {
            "type": "string"
          },
          "linkedin_url": {
            "type": "string"
          },
          "summary": {
            "type": "string"
          },
          "preferred_pronouns": {
            "type": "string"
          },
          "channel_source": {
            "type": "string"
          },
          "address1": {
            "type": "string"
          },
          "address2": {
            "type": "string",
            "description": "Address line 2 for non-US addresses. Returns `null` for US addresses. Writing this attribute is not supported when `country` is `US`."
          },
          "town": {
            "type": "string"
          },
          "state_province": {
            "type": "string",
            "description": "State or province for US addresses. Returns `null` for non-US addresses. Writing this attribute is only supported when `country` is `US`."
          },
          "postcode": {
            "type": "string"
          },
          "country": {
            "type": "string"
          },
          "country_code": {
            "type": "string",
            "readOnly": true
          },
          "country_code_alpha3": {
            "type": "string",
            "readOnly": true
          },
          "country_name": {
            "type": "string",
            "readOnly": true
          },
          "full_name": {
            "type": "string",
            "readOnly": true
          },
          "national_identifier": {
            "type": "string",
            "readOnly": true
          },
          "channel": {
            "type": "string"
          },
          "concealed": {
            "type": "boolean",
            "readOnly": true
          },
          "ai_score": {
            "type": "object",
            "additionalProperties": true,
            "description": "AI-generated score for the application. Only returned when AI Match Score is enabled for the company.\n`null` when AI Match Score is disabled or no score exists for this application.\n\nExample:\n```\n{\n  \"status\": \"completed\",\n  \"score\": 87,\n  \"verdict\": \"Strong match for the role\",\n  \"strengths\": [\"Relevant experience\", \"Strong technical skills\"],\n  \"concerns\": [\"Limited management experience\"],\n  \"interview_focus\": [\"Leadership scenarios\"],\n  \"scored_at\": \"2026-04-01T10:00:00Z\"\n}\n```\n",
            "readOnly": true
          },
          "create_pdf_application": {
            "type": "boolean",
            "writeOnly": true
          },
          "attachments": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "context": {
                  "type": "string"
                },
                "name": {
                  "type": "string"
                },
                "url": {
                  "type": "string"
                }
              }
            },
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "average_rating": {
            "type": "number",
            "format": "float",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "tags": {
            "type": "array",
            "items": {},
            "description": "A list of tags assigned to the application.\nExample: `[{\"context\": \"custom_green\", \"name\": \"Celery\"}, {\"context\": \"rejection\", \"name\": \"Availability\"}]`\n. This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "days_in_current_stage": {
            "type": "integer",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "applications_relationships": {
        "type": "object",
        "properties": {
          "job": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "jobs",
                    "enum": [
                      "jobs"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "job_posting": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "job_postings",
                    "enum": [
                      "job_postings"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "stage": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "stages",
                    "enum": [
                      "stages"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "furthest_stage": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "stages",
                    "enum": [
                      "stages"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "candidate": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "candidates",
                    "enum": [
                      "candidates"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "hris_reference": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "hris_exports",
                    "enum": [
                      "hris_exports"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "onboarding_application": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "onboarding_applications",
                    "enum": [
                      "onboarding_applications"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "document_requests": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "document_requests",
                      "enum": [
                        "document_requests"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "offers": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "offers",
                      "enum": [
                        "offers"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "answers": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "answers",
                      "enum": [
                        "answers"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "custom_attributes": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "custom_attributes",
                      "enum": [
                        "custom_attributes"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "structured_section_responses": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "structured_section_responses",
                      "enum": [
                        "structured_section_responses"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "scorecard_ratings": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "scorecard_ratings",
                      "enum": [
                        "scorecard_ratings"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "scorecard_notes": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "scorecard_notes",
                      "enum": [
                        "scorecard_notes"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "scorecard_answers": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "scorecard_answers",
                      "enum": [
                        "scorecard_answers"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "user_scorecards": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "user_scorecards",
                      "enum": [
                        "user_scorecards"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "comments": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "comments",
                      "enum": [
                        "comments"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "resume": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "resumes",
                    "enum": [
                      "resumes"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          }
        },
        "additionalProperties": false
      },
      "applications_resource": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "1"
          },
          "type": {
            "type": "string",
            "enum": [
              "applications"
            ]
          },
          "attributes": {
            "$ref": "#/components/schemas/applications"
          },
          "relationships": {
            "$ref": "#/components/schemas/applications_relationships"
          }
        },
        "additionalProperties": false
      },
      "applications_collection": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/applications_resource"
            }
          },
          "included": {
            "description": "To reduce the number of HTTP requests, servers **MAY** allow responses that include related resources along with the requested primary resources. Such responses are called \"compound documents\".",
            "type": "array",
            "items": {
              "oneOf": [
                {
                  "$ref": "#/components/schemas/jobs_resource"
                },
                {
                  "$ref": "#/components/schemas/job_postings_resource"
                },
                {
                  "$ref": "#/components/schemas/stages_resource"
                },
                {
                  "$ref": "#/components/schemas/candidates_resource"
                },
                {
                  "$ref": "#/components/schemas/hris_exports_resource"
                },
                {
                  "$ref": "#/components/schemas/onboarding_applications_resource"
                },
                {
                  "$ref": "#/components/schemas/document_requests_resource"
                },
                {
                  "$ref": "#/components/schemas/offers_resource"
                },
                {
                  "$ref": "#/components/schemas/answers_resource"
                },
                {
                  "$ref": "#/components/schemas/custom_attributes_resource"
                },
                {
                  "$ref": "#/components/schemas/structured_section_responses_resource"
                },
                {
                  "$ref": "#/components/schemas/scorecard_ratings_resource"
                },
                {
                  "$ref": "#/components/schemas/scorecard_notes_resource"
                },
                {
                  "$ref": "#/components/schemas/scorecard_answers_resource"
                },
                {
                  "$ref": "#/components/schemas/user_scorecards_resource"
                },
                {
                  "$ref": "#/components/schemas/comments_resource"
                },
                {
                  "$ref": "#/components/schemas/resumes_resource"
                }
              ]
            },
            "uniqueItems": true
          },
          "meta": {
            "$ref": "#/components/schemas/jsonapi_meta"
          }
        },
        "additionalProperties": false
      },
      "applications_readable_attribute": {
        "description": "Application readable attributes",
        "type": "string",
        "enum": [
          "id",
          "uuid",
          "created_at",
          "updated_at",
          "candidate_id",
          "external_system_reference",
          "hired_at",
          "internal_candidate",
          "job_id",
          "job_posting_id",
          "locale",
          "stage_id",
          "rejected_at",
          "phone_iso2",
          "start_on",
          "is_demo",
          "first_name",
          "last_name",
          "preferred_name",
          "email",
          "phone",
          "date_of_birth",
          "linkedin_url",
          "summary",
          "preferred_pronouns",
          "channel_source",
          "address1",
          "address2",
          "town",
          "state_province",
          "postcode",
          "country",
          "country_code",
          "country_code_alpha3",
          "country_name",
          "full_name",
          "national_identifier",
          "channel",
          "concealed",
          "ai_score"
        ]
      },
      "applications_sortable_attributes_list": {
        "description": "Application sortable attributes",
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "id",
            "-id",
            "created_at",
            "-created_at",
            "updated_at",
            "-updated_at"
          ]
        },
        "uniqueItems": true
      },
      "applications_related": {
        "description": "Application relationships available for inclusion",
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "job",
            "job_posting",
            "stage",
            "furthest_stage",
            "candidate",
            "hris_reference",
            "onboarding_application",
            "document_requests",
            "offers",
            "answers",
            "custom_attributes",
            "structured_section_responses",
            "scorecard_ratings",
            "scorecard_notes",
            "scorecard_answers",
            "user_scorecards",
            "comments",
            "resume"
          ]
        },
        "uniqueItems": true
      },
      "applications_extra_fields": {
        "description": "Application extra fields",
        "type": "string",
        "enum": [
          "attachments",
          "average_rating",
          "tags",
          "days_in_current_stage"
        ]
      },
      "candidates": {
        "type": "object",
        "description": "Candidate attributes",
        "properties": {
          "date_of_birth": {
            "type": "string",
            "format": "date"
          },
          "email": {
            "type": "string"
          },
          "first_name": {
            "type": "string"
          },
          "full_name": {
            "type": "string",
            "readOnly": true
          },
          "last_name": {
            "type": "string"
          },
          "middle_name": {
            "type": "string"
          },
          "preferred_name": {
            "type": "string"
          },
          "blocked": {
            "type": "boolean"
          },
          "locale": {
            "type": "string"
          },
          "phone": {
            "type": "string"
          },
          "phone_iso2": {
            "type": "string"
          },
          "address1": {
            "type": "string"
          },
          "address2": {
            "type": "string",
            "description": "Address line 2 for non-US addresses. Returns `null` for US addresses. Writing this attribute is not supported when `country` is `US`."
          },
          "town": {
            "type": "string"
          },
          "state_province": {
            "type": "string",
            "description": "State or province for US addresses. Returns `null` for non-US addresses. Writing this attribute is only supported when `country` is `US`."
          },
          "postcode": {
            "type": "string"
          },
          "country": {
            "type": "string"
          },
          "documents_base64": {
            "type": "array",
            "items": {},
            "description": "Array of `{ data: [Base64], filename: [String] }`",
            "writeOnly": true
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "external_system_reference": {
            "type": "string",
            "description": "Used to store the ID or reference from an external system that the record was created from."
          },
          "attachments": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "context": {
                  "type": "string"
                },
                "name": {
                  "type": "string"
                },
                "url": {
                  "type": "string"
                }
              }
            },
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "tags": {
            "type": "array",
            "items": {},
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "candidates_relationships": {
        "type": "object",
        "properties": {
          "applications": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "applications",
                      "enum": [
                        "applications"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "hris_references": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "hris_exports",
                      "enum": [
                        "hris_exports"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "job_seekers": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "job_seekers",
                      "enum": [
                        "job_seekers"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "skills": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "skills",
                      "enum": [
                        "skills"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "custom_attributes": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "custom_attributes",
                      "enum": [
                        "custom_attributes"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          }
        },
        "additionalProperties": false
      },
      "candidates_resource": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "1"
          },
          "type": {
            "type": "string",
            "enum": [
              "candidates"
            ]
          },
          "attributes": {
            "$ref": "#/components/schemas/candidates"
          },
          "relationships": {
            "$ref": "#/components/schemas/candidates_relationships"
          }
        },
        "additionalProperties": false
      },
      "candidates_readable_attribute": {
        "description": "Candidate readable attributes",
        "type": "string",
        "enum": [
          "id",
          "date_of_birth",
          "email",
          "first_name",
          "full_name",
          "last_name",
          "middle_name",
          "preferred_name",
          "blocked",
          "locale",
          "phone",
          "phone_iso2",
          "address1",
          "address2",
          "town",
          "state_province",
          "postcode",
          "country",
          "created_at",
          "updated_at",
          "external_system_reference"
        ]
      },
      "comments": {
        "type": "object",
        "description": "Comment attributes",
        "properties": {
          "body_text": {
            "type": "string"
          },
          "category": {
            "type": "string",
            "writeOnly": true
          },
          "commentable_id": {
            "type": "integer",
            "readOnly": true
          },
          "commentable_type": {
            "type": "string",
            "readOnly": true
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "private_comment": {
            "type": "boolean",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "user_id": {
            "type": "integer",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "comments_relationships": {
        "type": "object",
        "properties": {
          "user": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "users",
                    "enum": [
                      "users"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "commentable": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "applications",
                    "enum": [
                      "applications",
                      "job_seekers",
                      "candidates"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          }
        },
        "additionalProperties": false
      },
      "comments_resource": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "1"
          },
          "type": {
            "type": "string",
            "enum": [
              "comments"
            ]
          },
          "attributes": {
            "$ref": "#/components/schemas/comments"
          },
          "relationships": {
            "$ref": "#/components/schemas/comments_relationships"
          }
        },
        "additionalProperties": false
      },
      "comments_readable_attribute": {
        "description": "Comment readable attributes",
        "type": "string",
        "enum": [
          "id",
          "body_text",
          "commentable_id",
          "commentable_type",
          "created_at",
          "private_comment",
          "updated_at",
          "user_id"
        ]
      },
      "custom_attributes": {
        "type": "object",
        "description": "Custom Attribute attributes",
        "properties": {
          "value": {
            "type": "string",
            "readOnly": true
          },
          "field_name": {
            "type": "string",
            "readOnly": true
          },
          "option_value": {
            "type": "string",
            "readOnly": true
          },
          "option_label": {
            "type": "string",
            "readOnly": true
          },
          "custom_attributable_id": {
            "type": "integer",
            "writeOnly": true
          },
          "custom_attributable_type": {
            "type": "string",
            "writeOnly": true
          },
          "custom_field_id": {
            "type": "integer",
            "writeOnly": true
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "boolean_value": {
            "type": "boolean",
            "writeOnly": true
          },
          "date_value": {
            "type": "string",
            "format": "date",
            "writeOnly": true
          },
          "decimal_value": {
            "type": "string",
            "format": "decimal",
            "writeOnly": true
          },
          "integer_value": {
            "type": "integer",
            "writeOnly": true
          },
          "multi_select_value": {
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string"
                }
              ]
            },
            "writeOnly": true
          },
          "single_select_value": {
            "type": "string",
            "writeOnly": true
          },
          "text_value": {
            "type": "string",
            "writeOnly": true
          },
          "users_value": {
            "type": "array",
            "items": {},
            "writeOnly": true
          },
          "varchar_value": {
            "type": "string",
            "writeOnly": true
          }
        },
        "additionalProperties": false
      },
      "custom_attributes_relationships": {
        "type": "object",
        "properties": {
          "custom_field": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "custom_fields",
                    "enum": [
                      "custom_fields"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "custom_attributable": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "applications",
                    "enum": [
                      "applications",
                      "candidates",
                      "jobs",
                      "job_seekers",
                      "job_templates",
                      "offers",
                      "positions"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          }
        },
        "additionalProperties": false
      },
      "custom_attributes_resource": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "1"
          },
          "type": {
            "type": "string",
            "enum": [
              "custom_attributes"
            ]
          },
          "attributes": {
            "$ref": "#/components/schemas/custom_attributes"
          },
          "relationships": {
            "$ref": "#/components/schemas/custom_attributes_relationships"
          }
        },
        "additionalProperties": false
      },
      "custom_attributes_readable_attribute": {
        "description": "Custom Attribute readable attributes",
        "type": "string",
        "enum": [
          "id",
          "value",
          "field_name",
          "option_value",
          "option_label",
          "created_at",
          "updated_at"
        ]
      },
      "document_requests": {
        "type": "object",
        "description": "Document Request attributes",
        "properties": {
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "status": {
            "type": "string",
            "readOnly": true
          },
          "sent_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "attachments": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "context": {
                  "type": "string"
                },
                "name": {
                  "type": "string"
                },
                "url": {
                  "type": "string"
                }
              }
            },
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "document_requests_relationships": {
        "type": "object",
        "properties": {
          "answers": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "answers",
                      "enum": [
                        "answers"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          }
        },
        "additionalProperties": false
      },
      "document_requests_resource": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "1"
          },
          "type": {
            "type": "string",
            "enum": [
              "document_requests"
            ]
          },
          "attributes": {
            "$ref": "#/components/schemas/document_requests"
          },
          "relationships": {
            "$ref": "#/components/schemas/document_requests_relationships"
          }
        },
        "additionalProperties": false
      },
      "document_requests_readable_attribute": {
        "description": "Document Request readable attributes",
        "type": "string",
        "enum": [
          "id",
          "created_at",
          "status",
          "sent_at",
          "updated_at"
        ]
      },
      "hris_exports": {
        "type": "object",
        "description": "Hris Export attributes",
        "properties": {
          "exportable_type": {
            "type": "string",
            "writeOnly": true
          },
          "hris_reference": {
            "type": "string",
            "readOnly": true
          },
          "hris_system": {
            "type": "string",
            "readOnly": true
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "hris_exports_resource": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "1"
          },
          "type": {
            "type": "string",
            "enum": [
              "hris_exports"
            ]
          },
          "attributes": {
            "$ref": "#/components/schemas/hris_exports"
          }
        },
        "additionalProperties": false
      },
      "hris_exports_readable_attribute": {
        "description": "Hris Export readable attributes",
        "type": "string",
        "enum": [
          "id",
          "hris_reference",
          "hris_system",
          "created_at",
          "updated_at"
        ]
      },
      "job_postings": {
        "type": "object",
        "description": "Job Posting attributes",
        "properties": {
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "application_form_url": {
            "type": "string",
            "readOnly": true
          },
          "benefits": {
            "type": "string",
            "readOnly": true
          },
          "benefits_header": {
            "type": "string",
            "readOnly": true
          },
          "compensation": {
            "type": "string",
            "readOnly": true
          },
          "compensation_minimum": {
            "type": "number",
            "format": "float",
            "readOnly": true
          },
          "compensation_maximum": {
            "type": "number",
            "format": "float",
            "readOnly": true
          },
          "compensation_currency": {
            "type": "string",
            "readOnly": true
          },
          "compensation_frequency": {
            "type": "string",
            "readOnly": true
          },
          "compensation_visible": {
            "type": "boolean",
            "readOnly": true
          },
          "default_for_job": {
            "type": "boolean",
            "description": "True for the posting Pinpoint keeps in step with the job itself. Any other posting on the job is an additional one, created to advertise the same job differently.",
            "readOnly": true
          },
          "deadline_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "description": {
            "type": "string",
            "readOnly": true
          },
          "employment_type": {
            "type": "string",
            "readOnly": true
          },
          "employment_type_text": {
            "type": "string",
            "readOnly": true
          },
          "key_responsibilities": {
            "type": "string",
            "readOnly": true
          },
          "key_responsibilities_header": {
            "type": "string",
            "readOnly": true
          },
          "name": {
            "type": "string",
            "description": "The internal label for this posting, shown to your team rather than to candidates.",
            "readOnly": true
          },
          "reporting_to": {
            "type": "string",
            "readOnly": true
          },
          "skills_knowledge_expertise": {
            "type": "string",
            "readOnly": true
          },
          "skills_knowledge_expertise_header": {
            "type": "string",
            "readOnly": true
          },
          "status": {
            "type": "string",
            "readOnly": true
          },
          "title": {
            "type": "string",
            "readOnly": true
          },
          "url": {
            "type": "string",
            "readOnly": true
          },
          "path": {
            "type": "string",
            "readOnly": true
          },
          "workplace_type": {
            "type": "string",
            "readOnly": true
          },
          "workplace_type_text": {
            "type": "string",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "job_postings_relationships": {
        "type": "object",
        "properties": {
          "job": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "jobs",
                    "enum": [
                      "jobs"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "location": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "locations",
                    "enum": [
                      "locations"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          }
        },
        "additionalProperties": false
      },
      "job_postings_resource": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "1"
          },
          "type": {
            "type": "string",
            "enum": [
              "job_postings"
            ]
          },
          "attributes": {
            "$ref": "#/components/schemas/job_postings"
          },
          "relationships": {
            "$ref": "#/components/schemas/job_postings_relationships"
          }
        },
        "additionalProperties": false
      },
      "job_postings_readable_attribute": {
        "description": "Job Posting readable attributes",
        "type": "string",
        "enum": [
          "id",
          "created_at",
          "updated_at",
          "application_form_url",
          "benefits",
          "benefits_header",
          "compensation",
          "compensation_minimum",
          "compensation_maximum",
          "compensation_currency",
          "compensation_frequency",
          "compensation_visible",
          "default_for_job",
          "deadline_at",
          "description",
          "employment_type",
          "employment_type_text",
          "key_responsibilities",
          "key_responsibilities_header",
          "name",
          "reporting_to",
          "skills_knowledge_expertise",
          "skills_knowledge_expertise_header",
          "status",
          "title",
          "url",
          "path",
          "workplace_type",
          "workplace_type_text"
        ]
      },
      "jobs": {
        "type": "object",
        "description": "Job attributes",
        "properties": {
          "ask_for_address": {
            "type": "boolean"
          },
          "ask_for_date_of_birth": {
            "type": "boolean"
          },
          "ask_for_linkedin_profile": {
            "type": "boolean"
          },
          "ask_for_middle_name": {
            "type": "boolean"
          },
          "cover_letter_requirement": {
            "type": "string"
          },
          "personal_summary_requirement": {
            "type": "string"
          },
          "require_phone": {
            "type": "boolean"
          },
          "resume_requirement": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "benefits": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "skills_knowledge_expertise": {
            "type": "string"
          },
          "key_responsibilities": {
            "type": "string"
          },
          "reporting_to": {
            "type": "string"
          },
          "external_key_responsibilities_header": {
            "type": "string"
          },
          "key_responsibilities_header": {
            "type": "string",
            "readOnly": true
          },
          "external_benefits_header": {
            "type": "string"
          },
          "benefits_header": {
            "type": "string",
            "readOnly": true
          },
          "external_skills_knowledge_expertise_header": {
            "type": "string"
          },
          "skills_knowledge_expertise_header": {
            "type": "string",
            "readOnly": true
          },
          "about_company_theme_section_header": {
            "type": "string",
            "readOnly": true
          },
          "about_company_theme_section": {
            "type": "string",
            "readOnly": true
          },
          "compensation": {
            "type": "string"
          },
          "compensation_minimum": {
            "type": "number",
            "format": "float"
          },
          "compensation_maximum": {
            "type": "number",
            "format": "float"
          },
          "compensation_currency": {
            "type": "string"
          },
          "compensation_frequency": {
            "type": "string"
          },
          "is_compensation_visible": {
            "type": "boolean"
          },
          "compensation_visible": {
            "type": "boolean",
            "readOnly": true
          },
          "country_code": {
            "type": "string",
            "readOnly": true
          },
          "uuid": {
            "type": "string",
            "description": "A stable UUID for this job. Safe to share with third-party integrations as a unique job identifier.",
            "readOnly": true
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "deadline_on": {
            "type": "string",
            "format": "date"
          },
          "external_system_reference": {
            "type": "string",
            "description": "Used to store the ID or reference from an external system that the record was created from."
          },
          "deadline_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "opened_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "draft_job_additional_information": {
            "type": "string"
          },
          "requisition_id": {
            "type": "string"
          },
          "closed_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "filled_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "on_hold_in_seconds": {
            "type": "integer",
            "readOnly": true
          },
          "blind_screening": {
            "type": "boolean"
          },
          "diversity_monitoring": {
            "type": "boolean"
          },
          "diversity_monitoring_requirement": {
            "type": "string",
            "readOnly": true
          },
          "employment_type": {
            "type": "string"
          },
          "employment_type_text": {
            "type": "string",
            "readOnly": true
          },
          "headcount_maximum_enabled": {
            "type": "boolean"
          },
          "headcount_maximum": {
            "type": "integer"
          },
          "notify": {
            "type": "boolean"
          },
          "workplace_type": {
            "type": "string"
          },
          "workplace_type_text": {
            "type": "string",
            "readOnly": true
          },
          "visibility": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "application_form_url": {
            "type": "string",
            "readOnly": true
          },
          "url": {
            "type": "string",
            "readOnly": true
          },
          "path": {
            "type": "string",
            "readOnly": true
          },
          "referrals_enabled": {
            "type": "boolean"
          },
          "referral_amount": {
            "type": "number",
            "format": "float"
          },
          "referral_currency": {
            "type": "string"
          },
          "referral_details": {
            "type": "string"
          },
          "monster": {
            "type": "boolean"
          },
          "talentdotcom": {
            "type": "boolean"
          },
          "ziprecruiter": {
            "type": "boolean"
          },
          "linkedin": {
            "type": "boolean"
          },
          "experience_level": {
            "type": "string"
          },
          "linkedin_company_id": {
            "type": "string"
          },
          "is_remote_with_location_restrictions": {
            "type": "boolean"
          },
          "custom_town": {
            "type": "string"
          },
          "custom_county": {
            "type": "string"
          },
          "custom_country": {
            "type": "string"
          },
          "company_name_override": {
            "type": "string"
          },
          "remote": {
            "type": "boolean",
            "readOnly": true
          },
          "selected_hiring_workflow_id": {
            "type": "string"
          },
          "hiring_manager_user_email": {
            "type": "string",
            "writeOnly": true
          },
          "recruitment_manager_user_email": {
            "type": "string",
            "writeOnly": true
          },
          "onboarding_process_id": {
            "type": "integer",
            "writeOnly": true
          },
          "hiring_user_id": {
            "type": "string",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "recruitment_manager_user_id": {
            "type": "string",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "assigned_onboarding_process_id": {
            "type": "integer",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "assigned_onboarding_process_name": {
            "type": "string",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "assigned_onboarding_candidate_owner_user_id": {
            "type": "integer",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "assigned_onboarding_candidate_owner_user_email": {
            "type": "string",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "users_emails_with_job_level_visibility": {
            "type": "array",
            "items": {},
            "description": "**Reading (GET):** Returns the email addresses of all users who have visibility of this job at the job level (i.e. not through company-wide visibility).\n\n**Writing (POST/PUT):** Sets job visibility to exactly the list of emails provided. This is a **full replacement** — you must include every user who should have job level visibility, not just new additions.\n\n> ⚠️ **Any user whose email is omitted from the array will have their job level visibility removed.**. This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "jobs_relationships": {
        "type": "object",
        "properties": {
          "department": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "departments",
                    "enum": [
                      "departments"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "division": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "divisions",
                    "enum": [
                      "divisions"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "location": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "locations",
                    "enum": [
                      "locations"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "structure_custom_group_one": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "structure_custom_group_ones",
                    "enum": [
                      "structure_custom_group_ones"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "company": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "companies",
                    "enum": [
                      "companies"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "structure_link": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "structure_links",
                    "enum": [
                      "structure_links"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "hiring_manager_user": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "users",
                    "enum": [
                      "users"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "recruitment_manager_user": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "users",
                    "enum": [
                      "users"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "creator_user": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "users",
                    "enum": [
                      "users"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "applications": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "applications",
                      "enum": [
                        "applications"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "job_postings": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "job_postings",
                      "enum": [
                        "job_postings"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "questions": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
[...]
